package cd.casic.ci.common.pipeline.enums;

/**
 * @author by mianbin
 * @Classname ErrorCode
 * @Description TODO
 * @Date 2025/4/1 15:00
 */
public class ErrorCode {
    // 蓝盾系统错误
    public static final int SYSTEM_DAEMON_INTERRUPTED = 2189500; // 守护进程中断
    public static final int SYSTEM_SERVICE_ERROR = 2189501; // 系统内部服务调用出错
    public static final int SYSTEM_OUTTIME_ERROR = 2189502; // 执行请求超时
    public static final int SYSTEM_WORKER_LOADING_ERROR = 2189503; // worker插件加载出错
    public static final int SYSTEM_WORKER_INITIALIZATION_ERROR = 2189504; // 构建机拉起出错
    public static final int SYSTEM_INNER_TASK_ERROR = 2189505; // 系统任务执行出错
    // 第三方接入平台错误
    public static final int THIRD_PARTY_INTERFACE_ERROR = 2199501; // 第三方接口调用错误
    public static final int THIRD_PARTY_BUILD_ENV_ERROR = 2199502; // 第三方构建环境错误
    // 插件执行错误
    public static final int PLUGIN_DEFAULT_ERROR = 2199001; // 插件异常默认
    // 用户使用错误
    public static final int USER_INPUT_INVAILD = 2199002; // 用户输入数据有误
    public static final int USER_RESOURCE_NOT_FOUND = 2199003; // 找不到对应系统资源
    public static final int USER_TASK_OPERATE_FAIL = 2199004; // 插件执行过程出错
    public static final int USER_JOB_OUTTIME_LIMIT = 2199005; // 用户Job排队超时（自行限制）
    public static final int USER_TASK_OUTTIME_LIMIT = 2199006; // 用户插件执行超时（自行限制）
    public static final int USER_QUALITY_CHECK_FAIL = 2199007; // 质量红线检查失败
    public static final int USER_SCRIPT_COMMAND_INVAILD = 2199009; // 脚本命令无法正常执行
    public static final int USER_STAGE_FASTKILL_TERMINATE = 2199010; // 因用户配置了FastKill导致的终止执行
    public static final int USER_SCRIPT_TASK_FAIL = 2199011; // bash脚本发生用户错误

    private ErrorCode() {
        // 私有构造函数，防止实例化
    }
}
