package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：PipelineInstanceTypeEnum
 * @Date：2025/03/25 17:13
 * @Filename：PipelineInstanceTypeEnum
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum PipelineInstanceTypeEnum {
    FREEDOM("FREEDOM"),
    CONSTRAINT("CONSTRAINT");

    private final String type;

    @Override
    public String toString() {
        return type;
    }

    public static String getTemplateType(String type) {
        return switch (type) {
            case "FREEDOM" -> PipelineInstanceTypeEnum.FREEDOM.name();
            case "CONSTRAINT" -> PipelineInstanceTypeEnum.CONSTRAINT.name();
            default -> PipelineInstanceTypeEnum.FREEDOM.name();
        };
    }

}
