package cd.casic.ci.common.pipeline.pojo.element;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element
 * @Project：ops-pro
 * @name：ElementBaseInfo
 * @Date：2025/03/26 16:25
 * @Filename：ElementBaseInfo
 * @description：Todo
 */
@Data
@Schema(title = "元素基本信息")
public class ElementBaseInfo {
    @Schema(title = "元素ID", required = true)
    private String elementId;
    @Schema(title = "元素名称", required = true)
    private String elementName;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件版本号", required = true)
    private String version;
    @Schema(title = "元素在job中的位置")
    private int elementJobIndex;
}
