package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname MachineCreate
 * @Description TODO
 * @Date 2025/4/8 16:39
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机主机-创建信息")
public class MachineCreate {
    @Schema(title = "主机 ID", required = true)
    private int id;
    @Schema(title = "主机 IP", required = true)
    private String ip;
    @Schema(title = "主机名", required = true)
    private String name;
    @Schema(title = "主机用户名", required = true)
    private String username;
    @Schema(title = "主机密码", required = true)
    private String password;
    @Schema(title = "最多允许允许的虚拟机台数", required = true)
    private int maxVMRun;
}
