package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildTemplateAcrossInfo
 * @Date：2025/03/24 15:15
 * @Filename：BuildTemplateAcrossInfo
 * @description：Todo
 */
@Data
@Schema(title = "构建中跨项目引用模板信息")
public class BuildTemplateAcrossInfo {
    @Schema(title = "模板ID")
    private String templateId;
    @Schema(title = "模板类型")
    private TemplateAcrossInfoType templateType;
    @Schema(title = "模板实例ID列表")
    private List<String> templateInstancesIds;
    @Schema(title = "目标项目ID")
    private String targetProjectId;

    public enum TemplateAcrossInfoType {
        JOB,
        STEP
    }
}
