package cd.casic.ci.process.api.process.pojo;

import cd.casic.framework.commons.exception.ServiceException;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：SubscriptionType
 * @Date：2025/03/24 17:03
 * @Filename：SubscriptionType
 * @description：Todo
 */
public enum SubscriptionType {
    ALL(0),
    ONLY_SUCCESS(1),
    ONLY_FAILURE(2);

    private final Integer type;

    SubscriptionType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static SubscriptionType toType(Integer type) {
        for (SubscriptionType subscriptionType : SubscriptionType.values()) {
            if (subscriptionType.getType().equals(type)) {
                return subscriptionType;
            }
        }
        throw new ServiceException(-1000, "Unknown subscript type - " + type);
    }
}
