package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewPipelineCount
 * @Date：2025/03/24 20:07
 * @Filename：PipelineViewPipelineCount
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "流水线组--详细数目")
public class PipelineViewPipelineCount {
    @Schema(title = "可查看流水线数目")
    private int normalCount;
    @Schema(title = "已删除流水线数目")
    private int deleteCount;

    public static final PipelineViewPipelineCount DEFAULT = new PipelineViewPipelineCount(0, 0);

}
