package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ProjectBuildId
 * @Description TODO
 * @Date 2025/3/31 17:47
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "构建模型-ID")
public class ProjectBuildId {
    @Schema(title = "构建ID", required = true)
    private String id;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "构建序号", required = false)
    private Integer buildNum;
}
