package cd.casic.ci.process.api.process.pojo.pipeline.record;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Map;

/**
 * @author by mianbin
 * @Classname MergeBuildRecordParam
 * @Description TODO
 * @Date 2025/3/31 17:21
 */
@Data
@AllArgsConstructor
@Schema(title = "合并流水线变量模型参数")
public class MergeBuildRecordParam {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "执行次数", required = true)
    private int executeCount;
    @Schema(title = "执行变量模型", required = true)
    private Map<String, Object> recordModelMap;
    @Schema(title = "流水线基础模型", required = true)
    private Map<String, Object> pipelineBaseModelMap;
}
