package cd.casic.pipeline.store.pojo.container.enums;

import lombok.Getter;

@Getter
public enum ContainerRequiredEnum {
    N(0), // 非必需
    Y(1); // 必需

    private final int required;

    ContainerRequiredEnum(int required) {
        this.required = required;
    }

    @Override
    public String toString() {
        return String.valueOf(required);
    }

    public static String getContainerRequired(int required) {
        return required == 1 ? Y.name() : N.name();
    }
}