package cd.casic.ci.ticket.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname LogIndicesV2
 * @Description TODO
 * @Date 2025/3/19 17:16
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "credential_record", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class CredentialRecord extends BaseDO {
    private Long id;

    private String projectId;

    private String credentialId;

    private String credentialName;

    private String credentialUserId;

    private String credentialType;

    private String credentialRemark;

    private String credentialV1;

    private String credentialV2;

    private String credentialV3;

    private String credentialV4;

    private Boolean allowAcrossProject;
}
