package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：BuildFormValue
 * @Date：2025/03/25 15:44
 * @Filename：BuildFormValue
 * @description：Todo
 */
@Data
@Schema(title = "构建模型-下拉框表单元素值")
@AllArgsConstructor
public class BuildFormValue {
    @Schema(title = "元素值ID-标识符", required = true)
    private String key;
    @Schema(title = "元素值名称-显示用", required = true)
    private String value;
}
