package cd.casic.ci.common.pipeline.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgentUpgradeByVersionInfo
 * @Description TODO
 * @Date 2025/4/9 10:58
 */
@Data
public class ThirdPartyAgentUpgradeByVersionInfo {
    @Schema(description = "worker版本")
    private String workerVersion;

    @Schema(description = "go agent 版本")
    private String goAgentVersion;

    @Schema(description = "jdk版本")
    private List<String> jdkVersion;

    @Schema(description = "docker init 文件升级信息")
    private DockerInitFileInfo dockerInitFileInfo;
}
