package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;

import java.util.List;

@Getter
@Schema(title = "DevCloud容器机型")
public class DevCloudModel {
    @Schema(title = "moduleId", required = true)
    private String moduleId;

    @Schema(title = "机型名称", required = true)
    private String moduleName;

    @Schema(title = "CPU", required = true)
    private Integer cpu;

    @Schema(title = "Memory", required = true)
    private String memory;

    @Schema(title = "Disk", required = true)
    private String disk;

    @Schema(title = "description", required = true)
    private List<String> description;

    @Schema(title = "description", required = true)
    private String produceTime;
} 