package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "项目配置")
public class ProjectConfigParam {
    @Schema(title = "项目Id", required = true)
    private String projectId;

    @Schema(title = "更新人", required = true)
    private String updatedUser;

    @Schema(title = "允许使用BCS虚拟机功能", required = true)
    private Boolean bcsVmEnabled;

    @Schema(title = "BCS虚拟机配额", required = true)
    private Integer bcsVmQuota;

    @Schema(title = "导入服务器配额", required = true)
    private Integer importQuota;

    @Schema(title = "允许使用DevCloud功能", required = true)
    private Boolean devCloudEnable;

    @Schema(title = "DevCloud配额", required = true)
    private Integer devCloudQuota;

} 