package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewSettings
 * @Date：2025/03/24 20:08
 * @Filename：PipelineViewSettings
 * @description：Todo
 */

@Data
@Schema(title = "流水线视图设置模型")
public class PipelineViewSettings {
    @Schema(title = "当前视图id", required = false)
    private String currentViewId;
    @Schema(title = "当前视图列表", required = false)
    private List<PipelineViewIdAndName> currentViews;
    @Schema(title = "视图分类列表：项目视图，系统视图，个人视图等分类。分类下包含下面的视图", required = false)
    private List<PipelineViewClassify> viewClassifies;
}
