package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.Model;
import cd.casic.ci.common.pipeline.pojo.BuildFormProperty;
import cd.casic.ci.common.pipeline.pojo.BuildNo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateCompareModel
 * @Date：2025/03/24 18:59
 * @Filename：TemplateCompareModel
 * @description：Todo
 */
@Data
public class TemplateCompareModel {
    @Schema(title = "构建号", required = false)
    private BuildNo buildNo;
    @Schema(title = "流水线变量列表", required = false)
    private List<BuildFormProperty> params;
    @Schema(title = "流水线模型", required = false)
    private Model model;
}
