package cd.casic.ci.project.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "项目组织")
public class ProjectOrganizationInfo {

    @Schema(title = "事业群ID")
    private Long bgId;

    @Schema(title = "事业群名字")
    private String bgName;

    @Schema(title = "业务线ID")
    private Long businessLineId;

    @Schema(title = "业务线名称")
    private String businessLineName;

    @Schema(title = "中心ID")
    private Long centerId;

    @Schema(title = "中心名称")
    private String centerName;

    @Schema(title = "部门ID")
    private Long deptId;

    @Schema(title = "部门名称")
    private String deptName;

    @Schema(title = "是否需要更正组织")
    private boolean needFix = true;
}
