package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "研发商店-组件基本信息修改请求报文体")
public class StoreBaseInfoUpdateRequest {
    @Schema(title = "组件名称", required = false)
    private String name;
    
    @Schema(title = "所属分类代码", required = false)
    private String classifyCode;
    
    @Schema(title = "组件简介", required = false)
    private String summary;
    
    @Schema(title = "组件描述", required = false)
    private String description;
    
    @Schema(title = "组件logo", required = false)
    private String logoUrl;
    
    @Schema(title = "发布者", required = false)
    private String publisher;
}