package cd.casic.pipeline.store.pojo.container.agent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class AgentResponse {
    @Schema(title = "env hash id", required = true)
    private String id;
    
    @Schema(title = "env name", required = true)
    private String name;
    
    @Schema(title = "agent status", required = true)
    private String label;
    
    @Schema(title = "源项目", required = false)
    private String sharedProjectId;
    
    @Schema(title = "分享人", required = false)
    private String sharedUserId;
}